# Interface ReadableStreamBYOBReader

#### Hierarchy

- ReadableStreamGenericReader
  - ReadableStreamBYOBReader

#####
Index

### Properties

closed

### Methods

cancel
read
releaseLock

## Properties

### `Readonly` closed

closed: Promise<undefined>

Inherited from ReadableStreamGenericReader.closed

## Methods

### cancel

- cancel(reason?): Promise<void>

- #### Parameters

  - ##### `Optional` reason: any

  #### Returns Promise<void>

  Inherited from ReadableStreamGenericReader.cancel

### read

- read<T>(view): Promise<ReadableStreamReadResult<T>>

- #### Type Parameters

  - #### T extends ArrayBufferView<ArrayBufferLike>

  #### Parameters

  - ##### view: T

  #### Returns Promise<ReadableStreamReadResult<T>>

### releaseLock

- releaseLock(): void

- #### Returns void

Generated using TypeDoc